import enum
from pydantic import BaseModel

class FirmwareUpdateStatus(enum.Enum):
    DOWNLOADED = "Downloaded"
    DOWNLOAD_FAILED = "DownloadFailed"
    DOWNLOADING = "Downloading"
    DOWNLOAD_SCHEDULED = "DownloadScheduled"
    DOWNLOAD_PAUSED = "DownloadPaused"
    IDLE = " Idle"
    INSTALLATION_FAILED = "InstallationFailed"
    INSTALLING = "Installing"
    INSTALLED = "Installed"
    INSTALL_REBOOTING = "InstallRebooting"
    INSTALL_SCHEDULED = "InstallScheduled"
    INSTALL_VERIFICATION_FAILED = "InstallVerificationFailed"
    INVALID_SIGNATURE = "InvalidSignature"
    SIGNATURE_VERIFIED = "SignatureVerified"

class FirmwareUpdateBase(BaseModel):
    retries: int
    retry_interval: int
    location: str
